=== debian/changelog ===
mariadb-10.0 (10.0.25-1) unstable; urgency=low

  [ Otto Kekäläinen ]
  * Revert previous changes tailored for Ubuntu 16.04 compatibility.
  * New upstream release 10.0.25. Includes fixes for the following
    security vulnerabilities (Closes: #823325):
    - CVE-2016-0666
    - CVE-2016-0655
    - CVE-2016-0648
    - CVE-2016-0647
    - CVE-2016-0643
  * Updated old changelog entries to include new CVE identifiers.
  * Upstream included changes to logrotate script that supports systems that
    has multiple mysqld processes running (Closes: #810968).
  * Updated Dutch translation by Frans Spiesschaert (Closes: #822894).
  * Updated Spanish translation by Javier Fernández-Sanguino Peña
    (Closes: #823099).
  * Updated Russian translation by Yuri Kozlov (Closes: #823422).
  * Updated German translation by Chris Leick (Closes: #824487).
  * Updated Brazilian Portuguese translation (Closes: #824644).
  * Updated Turkish translation by Atila KOÇ (Closes: #825802).
  * Add patch to provide passwordless root accounts for test suite.
  * Updated Japanese translation by Takuma Yamada (Closes: #825813).

  [ Vicențiu Ciorbaru ]
  * Backport upstream MDEV-9479 fix: oqgraph fails to build with boost 1.60

 -- Otto Kekäläinen <otto@debian.org>  Mon, 30 May 2016 22:43:30 +0300

mariadb-10.0 (10.0.24-7) unstable; urgency=low

  * Temporarily remove mariadb-plugin-cassandra as Debian FTP bot thinks
    it wasn't there before 10.0.24-6 and put the package in the NEW queue.

 -- Otto Kekäläinen <otto@debian.org>  Wed, 13 Apr 2016 13:24:28 +0300

mariadb-10.0 (10.0.24-6) unstable; urgency=low

  * Move mysql_embedded from client package to client-core package,
    equally as is in mysql-client-core-5.6 and -5.7 (LP: #1568077).
  * Add breaks/replaces for mariadb-client to accommodate the above.
  * Add conflicts/breaks/replaces for MySQL 5.7 series packages now
    when mysql-5.7 entered the Ubuntu repositories (LP: #1568285).
  * Detect properly if there is an incompatible data directory from 5.7,
    save it to another location and initialize a new data directory so that the
    installation can complete properly without leaving dpkg in an inconsistent
    state.
  * Remove all old passwordless root account lines to close a potential
    security vulnerability (LP: #1561062).

 -- Otto Kekäläinen <otto@debian.org>  Wed, 13 Apr 2016 10:56:10 +0300
