## mariadb-10.0 10.0.26

=== debian/changelog ===
mariadb-10.0 (10.0.26-3) unstable; urgency=low

  [ Dieter Adriaenssens ]
  * Add DEP-12 formatted upstream metadata file (Closes: #808421)

  [ Vicențiu Ciorbaru ]
  * Update innodb_xtradb patch to introduce memory barrier after lock
  * Fix failing shutdown with gcc v6

  [ Otto Kekäläinen ]
  * Extend commit d5af196 with old name of package libmariadb-dev-compat
  * Extend commit 8d2a7c9 and actually install the tokuftdump man page
  * Update mariadb-test dependencies to include also libmariadbclient18
  * Add path to fix for sporadically failing test main.information_schema_stats
  * d/rules: NUMJOBS must have a default value

 -- Otto Kekäläinen <otto@debian.org>  Wed, 17 Aug 2016 00:31:02 +0300

mariadb-10.0 (10.0.26-2) unstable; urgency=low

  [ Vicențiu Ciorbaru ]
  * Add patch to correctly revert changes from 10.0.26 that caused
    build failure regression on PPC64el

  [ Paul Gevers ]
  * Add autopkg tests for MariaDB 10.0 (Closes: #809022)

  [ Axel Beckert ]
  * Extend mariadb-server to purge gracefully if datadir is a mountpoint
    (Closes: #829491)

  [ Ian Gilfillan ]
  * Add a patch to provide a man page for tokuftdump

  [ Robie Basak ]
  * Re-add libmariadbclient18 and libmariadbclient-dev
  * Add libmariadbclient-dev-compat package

  [ Otto Kekäläinen ]
  * d/control: libmariadbclient18 must be 'Multi-Arch: same'
  * Make libmariadbclient-dev-compat conflict with libmariadb-dev-compat
    (Closes: #831229)
  * Add libmariadbclient-dev as dependency for libmariadbd-dev
  * Replace hacky sed of libmysqlclient->libmariadbclient with proper patch
  * Update symbols file to match newest libmariadbclient18
  * Updated Danish translation by Joe Hansen (Closes: #830592)
  * Remove mariadb-plugin-cassandra until libthrif-dev lands in unstable
  * Make libdbd-mysql-perl and friends Recommends instead of strict Depends
    (Closes: #793787)
  * Documentation and spelling fixes
  * Remove mysqlbug binary as it is not used for MariaDB
  * Update default config files with more secure TLS examples

 -- Otto Kekäläinen <otto@debian.org>  Fri, 29 Jul 2016 21:42:50 +0300

mariadb-10.0 (10.0.26-1) unstable; urgency=low

  * Updated French translation by Baptiste Jammet (Closes: #826879)
  * New upstream release 10.0.26. Includes fixes for the following
    security vulnerabilities:
    - CVE-2016-5440
    - CVE-2016-3615
    - CVE-2016-3521
    - CVE-2016-3477
  * Updated old changelog entries to include new CVE identifiers.
  * Refresh patches after 10.0.26 import

 -- Otto Kekäläinen <otto@debian.org>  Fri, 24 Jun 2016 17:05:44 +0300
