=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                cmake,
                debhelper (>= 9),
                dh-apparmor,
+               dh-exec,
                gdb,
                libaio-dev [linux-any],
                libboost-dev,
@@ -28,6 +29,7 @@
 Homepage: http://mariadb.org/
 Vcs-Git: git://anonscm.debian.org/pkg-mysql/mariadb-10.0.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mysql/mariadb-10.0.git/
+Testsuite: autopkgtest
 
 Package: libmariadbd18
 Architecture: any
@@ -44,11 +46,28 @@
  .
  This package includes the embedded server library.
 
+Package: libmariadbclient18
+Section: libs
+Architecture: any
+Depends: mariadb-common, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Description: MariaDB database client library
+ MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
+ server. SQL (Structured Query Language) is the most popular database query
+ language in the world. The main goals of MariaDB are speed, robustness and
+ ease of use.
+ .
+ This package includes the client library.
+
 Package: libmariadbd-dev
 Architecture: any
 Section: libdevel
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libmariadbd18 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libmariadbclient-dev (= ${binary:Version}),
+         libmariadbd18 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: libmysqld-dev
 Replaces: libmysqld-dev
 Description: MariaDB embedded database, development files
@@ -58,6 +77,43 @@
  ease of use.
  .
  This package includes the embedded server library development and header files.
+
+Package: libmariadbclient-dev
+Architecture: any
+Section: libdevel
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libmariadbclient18 (= ${binary:Version}),
+         zlib1g-dev,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Conflicts: libmysqlclient-dev
+Description: MariaDB database development files
+ MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
+ server. SQL (Structured Query Language) is the most popular database query
+ language in the world. The main goals of MariaDB are speed, robustness and
+ ease of use.
+ .
+ This package includes development libraries and header files.
+
+Package: libmariadbclient-dev-compat
+Architecture: any
+Section: libdevel
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libmariadbclient-dev, ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libmariadb-client-lgpl-dev-compat,
+           libmariadb-dev-compat,
+           libmysqlclient-dev
+Description: MariaDB database development files (libmysqlclient compatibility)
+ MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
+ server. SQL (Structured Query Language) is the most popular database query
+ language in the world. The main goals of MariaDB are speed, robustness and
+ ease of use.
+ .
+ This package provides a version of libmysqlclient.so to allow
+ packages to link using -lmysqlclient but end up with a link against
+ libmariadbclient instead. This allows packages designed for
+ MySQL to link against MariaDB's client library instead, while still permitting
+ MySQL's client library to co-exist on users' systems.
 
 Package: mariadb-common
 Architecture: all
@@ -75,14 +131,14 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: mysql-client-5.5, mysql-client-5.6, mysql-client-5.7
-Breaks: mariadb-client-core-5.5,
-        mariadb-client-10.0 (<< 10.0.24-6~),
+Breaks: mariadb-client-10.0 (<< 10.0.24-6~),
+        mariadb-client-core-5.5,
         mysql-client-core-5.5,
         mysql-client-core-5.6,
         mysql-client-core-5.7,
         virtual-mysql-client-core
-Replaces: mariadb-client-core-5.5,
-          mariadb-client-10.0 (<< 10.0.24-6~),
+Replaces: mariadb-client-10.0 (<< 10.0.24-6~),
+          mariadb-client-core-5.5,
           mysql-client-core-5.5,
           mysql-client-core-5.6,
           mysql-client-core-5.7,
@@ -99,9 +155,6 @@
 Package: mariadb-client-10.0
 Architecture: any
 Depends: debianutils (>=1.6),
-         libdbd-mysql-perl (>= 1.2202),
-         libdbi-perl,
-         libterm-readkey-perl,
          mariadb-client-core-10.0 (>= ${source:Version}),
          ${misc:Depends},
          ${perl:Depends},
@@ -122,6 +175,7 @@
           mysql-client-5.7,
           virtual-mysql-client
 Provides: virtual-mysql-client
+Recommends: libdbd-mysql-perl (>= 1.2202), libdbi-perl, libterm-readkey-perl
 Description: MariaDB database client binaries
  MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
  server. SQL (Structured Query Language) is the most popular database query
@@ -136,7 +190,10 @@
 Depends: mariadb-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Conflicts: mariadb-galera-server-5.5, mysql-server-5.5, mysql-server-5.6, mysql-server-5.7
+Conflicts: mariadb-galera-server-5.5,
+           mysql-server-5.5,
+           mysql-server-5.6,
+           mysql-server-5.7
 Breaks: mariadb-client-10.0 (<< ${source:Version}),
         mariadb-server-10.0 (<< ${source:Version}),
         mariadb-server-core-5.5,
@@ -167,7 +224,8 @@
 
 Package: mariadb-test
 Architecture: any
-Depends: mariadb-client-10.0 (= ${binary:Version}),
+Depends: libmariadbclient18 (= ${binary:Version}),
+         mariadb-client-10.0 (= ${binary:Version}),
          mariadb-server-10.0 (= ${binary:Version}),
          mariadb-test-data (= ${source:Version}),
          ${misc:Depends},
@@ -269,53 +327,3 @@
  language in the world. The main goals of MariaDB are speed, robustness and
  ease of use.
  .
- This package includes the server binaries.
-
-Package: mariadb-server
-Architecture: all
-Depends: mariadb-server-10.0 (>= ${source:Version}), ${misc:Depends}
-Description: MariaDB database server (metapackage depending on the latest version)
- This is an empty package that depends on the current "best" version of
- mariadb-server (currently mariadb-server-10.0), as determined by the MariaDB
- maintainers. Install this package if in doubt about which MariaDB
- version you need. That will install the version recommended by the
- package maintainers.
- .
- MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
- server. SQL (Structured Query Language) is the most popular database query
- language in the world. The main goals of MariaDB are speed, robustness and
- ease of use.
-
-Package: mariadb-client
-Architecture: all
-Depends: mariadb-client-10.0 (>= ${source:Version}), ${misc:Depends}
-Description: MariaDB database client (metapackage depending on the latest version)
- This is an empty package that depends on the current "best" version of
- mariadb-client (currently mariadb-client-10.0), as determined by the MariaDB
- maintainers.  Install this package if in doubt about which MariaDB version
- you want, as this is the one considered to be in the best shape.
-
-Package: mariadb-plugin-connect
-Architecture: any
-Depends: libxml2,
-         mariadb-server-10.0|mariadb-galera-server-10.0,
-         unixodbc,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Conflicts: mariadb-connect-engine-10.0
-Breaks: mariadb-connect-engine-10.0, mariadb-server-10.0 (<< ${source:Version})
-Replaces: mariadb-connect-engine-10.0,
-          mariadb-server-10.0 (<< ${source:Version})
-Description: Connect storage engine for MariaDB
- Connect engine supports a number of file formats (dbf, xml, txt, bin, etc),
- connections to ODBC tables and remote MySQL tables, as well as a number of
- other interesting features.
- This package contains the Connect plugin for MariaDB.
-
-Package: mariadb-plugin-oqgraph
-Architecture: any
-Depends: libjudydebian1,
-         mariadb-server-10.0|mariadb-galera-server-10.0,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Conflicts: mariadb-oqgraph-engine-10.0
