=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,9 @@
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
     NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
     MAKEFLAGS += -j $(NUMJOBS)
+else
+    # NUMJOBS cannot be empty as it is used as a parameter to mtr, default to 1.
+    NUMJOBS = 1
 endif
 
 # Ignore test suite exit code on unstable platforms
@@ -64,6 +67,13 @@
 override_dh_auto_configure:
 	@echo "RULES.$@"
 	dh_testdir
+
+	# Versioned symbols are only available on Linux.
+	# Remove symbols file on kFreeBSD builds so that
+	# dpkg-gensymbols will not fail the build.
+ifneq (,$(filter $(ARCH), kfreebsd-i386 kfreebsd-amd64))
+	rm debian/libmariadbclient18.symbols
+endif
 
 	mkdir -p $(BUILDDIR) && cd $(BUILDDIR) && \
 	sh -c  'PATH=$${MYSQL_BUILD_PATH:-"/usr/local/bin:/usr/bin:/bin"} \
@@ -114,11 +124,6 @@
 	# If Mroonga plugin was not built skip the package
 	[ -f $(BUILDDIR)/storage/mroonga/ha_mroonga.so ] || sed -i -e "/Package: mariadb-plugin-mroonga/,+11d" debian/control
 
-	# If libthrift-dev was available (manually installed, as it is
-	# not in Debian) and ha_cassandra.so was thus built, create package,
-	# otherwise skip it.
-	[ -f $(BUILDDIR)/storage/cassandra/ha_cassandra.so ] || sed -i -e "/Package: mariadb-plugin-cassandra/,+14d" debian/control
-
 	# make install
 	cd $(BUILDDIR) && $(MAKE) install DESTDIR=$(TMP)
