## mariadb-10.0 10.0.28

=== debian/changelog ===
mariadb-10.0 (10.0.28-2) unstable; urgency=low

  [ Samuel Thibault ]
  * patches/hurd_socket.patch: Also avoid non-working socket path length check
    on hurd-i386.
  * rules: Drop symbols on hurd-i386 too (Closes: #842696).

  [ Daniel Black ]
  * Don't install private mysql header files in libmariadbclient-dev

  [ Otto Kekäläinen ]
  * Update libmariadbd18 description and contents to match latest upstream
  * Mark missing Multi-Arch as suggested by Multiarch hinter
  * Move plugins to $ARCH/*/mariadb18 to meet multiarch needs (Closes: #739452)

 -- Otto Kekäläinen <otto@debian.org>  Fri, 11 Nov 2016 22:03:33 +0200

mariadb-10.0 (10.0.28-1) unstable; urgency=low

  [ Vicențiu Ciorbaru ]
  * Fix tokudb jemalloc linking

  [ Otto Kekäläinen ]
  * New upstream release 10.0.28. Includes fixes for the following
    security vulnerabilities:
    - CVE-2016-8283
    - CVE-2016-7440
    - CVE-2016-6663
    - CVE-2016-5629
    - CVE-2016-5626
    - CVE-2016-5624
    - CVE-2016-5616
    - CVE-2016-5584
    - CVE-2016-3492
  * Drop 4 patches that have been applied upstream.
  * Delete runnable files from mariadb-test-data as they were only
    needed at build time to generate tests.

 -- Otto Kekäläinen <otto@debian.org>  Fri, 28 Oct 2016 22:51:14 +0300
