=== debian/control ===
--- 
+++ 
@@ -38,13 +38,13 @@
 Multi-Arch: same
 Breaks: libmariadbd-dev (<< ${source:Version}), libmysqld-dev
 Replaces: libmariadbd-dev (<< ${source:Version}), libmysqld-dev
-Description: MariaDB embedded database
- MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
- server. SQL (Structured Query Language) is the most popular database query
- language in the world. The main goals of MariaDB are speed, robustness and
- ease of use.
- .
- This package includes the embedded server library.
+Description: MariaDB embedded database, shared library
+ MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
+ server. SQL (Structured Query Language) is the most popular database query
+ language in the world. The main goals of MariaDB are speed, robustness and
+ ease of use.
+ .
+ This package includes a shared library for embedded MariaDB applications.
 
 Package: libmariadbclient18
 Section: libs
@@ -62,6 +62,7 @@
 
 Package: libmariadbd-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libmariadbclient-dev (= ${binary:Version}),
@@ -97,6 +98,7 @@
 
 Package: libmariadbclient-dev-compat
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libmariadbclient-dev, ${misc:Depends}, ${shlibs:Depends}
@@ -256,6 +258,7 @@
 
 Package: mariadb-test-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Breaks: mariadb-test-10.0,
         mariadb-test-5.5,
@@ -324,6 +327,3 @@
 Description: MariaDB database server binaries
  MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
  server. SQL (Structured Query Language) is the most popular database query
- language in the world. The main goals of MariaDB are speed, robustness and
- ease of use.
- .
