=== debian/rules ===
--- 
+++ 
@@ -69,9 +69,9 @@
 	dh_testdir
 
 	# Versioned symbols are only available on Linux.
-	# Remove symbols file on kFreeBSD builds so that
+	# Remove symbols file on kFreeBSD and Hurd builds so that
 	# dpkg-gensymbols will not fail the build.
-ifneq (,$(filter $(ARCH), kfreebsd-i386 kfreebsd-amd64))
+ifneq (,$(filter $(ARCH), kfreebsd-i386 kfreebsd-amd64 hurd-i386))
 	rm debian/libmariadbclient18.symbols
 endif
 
@@ -88,7 +88,7 @@
 	    -DCMAKE_SYSTEM_PROCESSOR=$(DEB_BUILD_ARCH) \
 	    -DBUILD_CONFIG=mysql_release \
 	    -DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
-	    -DINSTALL_PLUGINDIR=lib/mysql/plugin \
+	    -DINSTALL_PLUGINDIR=lib/$(DEB_HOST_MULTIARCH)/mariadb18/plugin \
 	    -DINSTALL_MYSQLTESTDIR=share/mysql/mysql-test \
 	    -DWITH_AUTH_SOCKET=ON \
 	    -DDEB=$(DISTRIBUTION) ..'
@@ -127,6 +127,11 @@
 	# make install
 	cd $(BUILDDIR) && $(MAKE) install DESTDIR=$(TMP)
 
+	# Delete runnable files we don't want to have in the test data package.
+	# This avoids triggering multiple Lintian errors.
+	rm -rf $(TMP)/usr/share/mysql/mysql-test/plugin/tokudb/tokudb/*.py
+	rm -rf $(TMP)/usr/share/mysql/mysql-test/plugin/tokudb/tokudb/t/*.py
+
 	# nm numeric soft is not enough, therefore extra sort in command
 	# to satisfy Debian reproducible build requirements
 	nm --defined-only $(BUILDDIR)/sql/mysqld | LC_ALL=C sort | gzip -n -9 > $(TMP)/usr/share/doc/mariadb-server-10.0/mysqld.sym.gz
